package it.disi.unitn.BAD;

import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.scene.text.Text;
import javafx.stage.Stage;


public class Carrello extends Stage {
    private VBox root;

    /**
     * Classe per gestire lo stage del carrello
     * @param app
     */
    Carrello(PiastrellaApp app) {
        super();
        setup(app);
    }

    /**
     * Metodo di setup dello stage
     * @param app
     */
    private void setup(PiastrellaApp app) {
        VBox root = new VBox();
        root.setStyle("-fx-font-family: \"Arial\""); //added by ronchet
        this.root = root;
        root.setStyle("-fx-font-family: \"Arial\""); //added by ronchet

        Scene scene = new Scene(root, 200, 200);
        setScene(scene);
        setTitle("Carrello");
    }

    /**
     * Metodo per aggiungere nuovi acquisti
     * @param p
     */
    public void addEntry(Piastrella p) {
        Text text = new Text();
        text.setText("Codice: " + p.codice + " - Costo: " + String.valueOf(p.costo));

        root.getChildren().add(text);
    }
}
